body {
    background-color: #F6F6F6;
}
.left-sidebar {
    background:#e0e0e0;
    padding-left: 0;
    padding-right: 0;
}
.right-content, .container {
    padding-left: 0;
    padding-right: 0;
}
.logo {
    width: 100%;
    text-align: center;
    padding: 20px 0;
    margin-bottom: 35px;
}
.logo img {
    width: 140px;
    height: auto;
}
ul.left-links {
    list-style: none;
}
ul.left-links li {
    margin-bottom: 20px;
}
ul.left-links a {
    color: #000;
    text-decoration: none;
}
ul.left-links a:hover, ul.left-links a.active {
    color: #1ca1dc;
}
ul.left-links a i {
    width: 30px;
}
.top-search {
    margin: 15px 0 15px 30px;
    border-radius: 6px;
    flex-direction: row;
}
.top-search .card-body {
    padding: 0;
}
input.search {
    border: none;
    width: 500px;
    height: 35px;
    border-radius: 4px;
    margin: 8px 0;
    outline: none;
    padding: 8px;
    box-sizing: border-box;
    transition: 0.3s;
}
input.search[type="text"]:focus {
    border-color: dodgerBlue;
    box-shadow: 0 0 8px 0 dodgerBlue;
}  
.inputWithIcon input[type="text"] {
    padding-left: 40px;
}
.inputWithIcon {
    position: relative;
    display: flex;
    align-items: center;;
}  
.inputWithIcon i {
    position: absolute;
    left: 0;
    padding: 9px 8px;
    color: #1ca1dc;
    transition: 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
}
.user-preview {
    border-left: 1px solid rgba(0,0,0,.125);
}
.user-preview-text {
    display: inline;
    float: left;
    padding-right: 10px;
    padding-top: 6px;
}
.user-preview-text h6 {
    margin-bottom: 0;
    line-height: 0.1;
    margin-top: 15px;
    color: rgba(90, 88, 88, 0.623);
}
.user-preview-text span {
    font-size: 11px;
    color: #e0e0e0;
}
.user-preview-img {
    margin-top: 4px;
}
.auth .content {
    padding-left: 15px;
}
.content > div, .dashboard div.row {
    padding-left: 15px;
}
.dashboard .products .card-title, .dashboard .order-details .card-title  {
    display: inline;
    width: 50%;
}
.dashboard .card {
    height: 200px;
}
.dashboard .products {
    background-color: #08A8E3;
    color: #FFF;
}
.dashboard .products .card-subtitle {
    clear: left;
    display: inline;
    float: right;
    margin-top: 4px;
}
.dashboard .add-new-product {
    color: #FFF;
}
.dashboard .add-new-product i {
    padding-left: 5px;
}
.dashboard .add-new-product h6 {
    border: 1px solid #FFF;
    padding: 5px;
    color: #FFF;
    font-size: 11px;
}
.dashboard .products .card-text {
    padding: 25px 5px 0 45px;
    font-size: 2rem;
}
.dashboard .products .card-text span, .dashboard .order-details .card-text div span {
    clear: left;
    font-size: 1rem;
    position: absolute;
    margin-top: -6px;
    color: #636363;
}
.dashboard .products .card-text span {
    color: #FFF;
}
.dashboard .order-details .card-text div {
    display: inline;
    float: left;
    width: 48%;
    padding: 25px 5px 0 45px;
    font-size: 2em;
}
.dashboard .order-details .card-text div.income-data {
    display: inline;
    float: left;
    width: 100%;
    padding: 0 15px;
    font-size: 1em;
    border-left: 1px solid #979797;
    height: 80px;
}
.dashboard .order-list {
    padding-top: 25px;
}
.dashboard .order-list .table {
    border-collapse:separate; 
    border-spacing: 0 1em;
}
.dashboard .order-list .table th {
    font-size: 0.8rem;
    font-weight: 300;
}
.dashboard .order-list i {
    
}
.dashboard .order-list a {
    color: #9B9B9B;
}
.dashboard .order-list a:hover {
    color: #07A8E3;
}
.table-data {
    background-color: #FFF;
}
::-webkit-input-placeholder {
    font-style: italic;
 }
 :-moz-placeholder {
    font-style: italic;  
 }
 ::-moz-placeholder {
    font-style: italic;  
 }
 :-ms-input-placeholder {  
    font-style: italic; 
 }
 .i-circle {
    background: #212529;
    color: #fff;
    padding: 6px 14px;
    border-radius: 50%;
    font-size: 22px;
}
.dashboard-icon-circle {
    background: #FFF;
    color: #08A8E3;
    padding: 8px;
    border-radius: 50%;
    font-size: 18px;
    margin-right: 10px;
}
.dashboard-icon-circle-reverse {
    background: #08A8E3;
    color: #FFF;
    padding: 8px;
    border-radius: 50%;
    font-size: 18px;
    margin-right: 10px;
}

.dynamo-table {
    border-collapse:separate; 
    border-spacing: 0 1em;
}
.dynamo-table th {
    font-size: 0.8rem;
    font-weight: 300;
}
.dynamo-table .table-data {
    font-size: 13px;
}
.container-fluid {
    padding-left: 125px;
    padding-right: 125px;
}

.product-list td.action a {
    color: #9B9B9B;
}

/* product page */
.update-product .form-title.p-3 {
    padding-bottom:2.5rem!important;
}

#updateItemForm table {
    font-size: 14px;
}



/* order list */
.list-orders .form-title.p-3, .list-products .form-title.p-3, .list-grid .form-title.p-3  {
    padding-bottom:2.5rem!important;
}


/* order page */
.card-header {
    padding-left: 0.25rem;
    padding-right: 0.25rem;
}
.card-header h4 {
    font-size: 1rem;
}
.weight-n-dimension .card-body h1 {
    font-size: 1.5rem;
}


/* date picker */
.input-group-addon {
    padding: 9px 12px;
    font-size: 14px;
    font-weight: 400;
    line-height: 1;
    color: #555;
    text-align: center;
    background-color: #eee;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.input-group-addon:last-child {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}



@media (max-width: 1200px) {
    .dashboard .products .card-text, .dashboard .order-details .card-text div {
        padding-left: 25px;
    }
    .container-fluid {
        padding-left: 25px;
        padding-right: 25px;
    }
}

@media (max-width: 1115px) {
    input.search {
        width: 300px;
    }
}


@media (max-width: 991px) {
    .dashboard .order-details .card-text .income {
        display: block;
        clear: left;
        width: 98%;
    }
    .dashboard .card {
        height: 250px;
    }
}

@media (max-width: 767px) {
    .top-search {
        margin-left: 0;
    }
    .content > div, .dashboard div.row {
        padding-left: 0;
    }
}

@media (min-width: 576px) {
    .container {
        max-width: 100%;
    }
}


@media (min-width: 768px) {
    .modal-xl {
        width: 90%;
        max-width: 1600px;
    }
}


#cover-spin {
    position:fixed;
    width:100%;
    left:0;right:0;top:0;bottom:0;
    background-color: rgba(255,255,255,0.7);
    z-index:9999;
}

@-webkit-keyframes spin {
	from {-webkit-transform:rotate(0deg);}
	to {-webkit-transform:rotate(360deg);}
}

@keyframes spin {
	from {transform:rotate(0deg);}
	to {transform:rotate(360deg);}
}

#cover-spin::after {
    content:'';
    display:block;
    position:absolute;
    left:48%;top:40%;
    width:40px;height:40px;
    border-style:solid;
    border-color: #17a2b8;
    border-top-color:transparent;
    border-width: 4px;
    border-radius:50%;
    -webkit-animation: spin .8s linear infinite;
    animation: spin .8s linear infinite;
}



/* Reduce the size of pagination items */
nav svg {
    width: 16px;
    height: 16px;
}
nav div.flex.justify-between.flex-1 {
    display: none;
}
nav div div span.shadow-sm {
    box-shadow: none;
}
nav div span[aria-current=page] span.bg-white { 
    background-color: #07A8E3; 
}

.dashboard.ship-calc .card {
    height: auto;
    min-width: 220px;
}
.ship-calc .unavailable-details {
    display: flex; /* Enables flexbox */
    flex-direction: row; /* Ensures horizontal alignment */
    flex-wrap: wrap; /* Allows wrapping if items overflow */
    gap: 10px; 
}
.ship-calc .unavailable-details h5.card-title {
    font-size: 16px;
}
.ship-calc .unavailable-details img.product-image {
    max-width: 160px;
    padding: 20px;
}
.ship-calc p.sku.card-text {
    font-style: italic;
}
.card.row-card {
    flex: 0 1 auto; /* Adjusts item size automatically */
    width: auto; 
}
.check-details-item {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px;
}
.check-details-item .category-title, p.unavailable-status {
    text-align: center;
    width: 100%;
}
.ship-calc .unavailable-details .row-card {
    flex: 0 1 calc(25% - 10px);
    min-width: 235px; 
    box-sizing: border-box;
    max-width: 235px;
}


/* tasmania page */
input[name=daterange] {
    width: 210px;
    margin: 10px;
}
.state-counter {
    justify-content: center;
}
.container.counter .card {
    min-width: 320px;
}
.latest-updated {
    font-size: 14px;
}


/* loading animation */
.loading-container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100px; /* Adjust height as needed */
    width: 100px; /* Adjust width as needed */
    background-color: #f3f3f3; /* Optional background for visibility */
    border: 1px solid #ddd; /* Optional border */
    border-radius: 10px; /* Optional rounded corners */
  }
  
  .loading-spinner {
    width: 40px;
    height: 40px;
    border: 4px solid #ccc; /* Light gray border */
    border-top: 4px solid #3498db; /* Blue border for animation */
    border-radius: 50%;
    animation: spin 1s linear infinite;
  }
  
  @keyframes spin {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(360deg);
    }
  }
  